org.wso2.carbon.mediation.initializer.services

## Interface SynapseEnvironmentService

- All Known Implementing Classes:
    SynapseEnvironmentServiceImpl

      public interface SynapseEnvironmentService

  All the ESB Components should use this OSGI service for accessing the SynapseEnvironment. This service is populated at the System start up with ESB Super tenent confiruations. The service is populated again for each tenant creation. So a component wishing to know about the tenant creation events should listen for this service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()` Get the ConfigurationContext for this SynapseConfiguration
    `org.apache.synapse.core.SynapseEnvironment` | `getSynapseEnvironment()` Retrieve the synapse configuration
    `int` | `getTenantId()` Get the tenant id corresponding to this synapse configuration.
    `void` | `setSynapseEnvironment(org.apache.synapse.core.SynapseEnvironment synapseEnvironment)` Set the SynapseEnvironment

- - ### Method Detail

    - #### getTenantId

          int getTenantId()

      Get the tenant id corresponding to this synapse configuration.
      Returns:
        integer value of the tenant id

    - #### getSynapseEnvironment

          org.apache.synapse.core.SynapseEnvironment getSynapseEnvironment()

      Retrieve the synapse configuration
      Returns:
        synapse configuration

    - #### setSynapseEnvironment

          void setSynapseEnvironment(org.apache.synapse.core.SynapseEnvironment synapseEnvironment)

      Set the SynapseEnvironment
      Parameters:
        `synapseEnvironment` - SynapseEnvrionment

    - #### getConfigurationContext

          org.apache.axis2.context.ConfigurationContext getConfigurationContext()

      Get the ConfigurationContext for this SynapseConfiguration
      Returns:
        the ConfigurationContext

Copyright © 2021 WSO2. All rights reserved.